# CreateAddressKeyDefinitionRequest

## Properties

| Name | Type | Required | Description |
|------|------|----------|-------------|
| **address_key** | **str** | Required | The address key of the address key definition. |
| **type** | **str** | Required | The type of the address key definition. Available values: Text, Integer, Decimal, Boolean, DateTime, Result0D. |


## Usage

### Creating from keyword arguments

```python
from finbourne.sdk.services.lusid.models.CreateAddressKeyDefinitionRequest import CreateAddressKeyDefinitionRequest

instance = CreateAddressKeyDefinitionRequest(
    address_key="...",  # required — The address key of the address key definition.
    type="..."  # required — The type of the address key definition. Available values: Text, Integer, Decimal, Boolean, DateTime, Result0D.
)
```



[Back to top](#) · [Back to API list](../../api_endpoints.md) · [Back to Model list](../../models.md) · [Back to README](../../../../../README.md)

